## festival 2.5.0

=== bin/Makefile ===
 ###########################################################################
 ##                                                                       ##
 ##                Centre for Speech Technology Research                  ##
 ##                     University of Edinburgh, UK                       ##
 ##                    Copyright (c) 1994,1995,1996                       ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
 ##  Permission is hereby granted, free of charge, to use and distribute  ##
 ##  this software and its documentation without restriction, including   ##
 ##  without limitation the rights to use, copy, modify, merge, publish,  ##
 ##  distribute, sublicense, and/or sell copies of this work, and to      ##
 ##  permit persons to whom this work is furnished to do so, subject to   ##
 ##  the following conditions:                                            ##
 ##   1. The code must retain the above copyright notice, this list of    ##
 ##      conditions and the following disclaimer.                         ##
 ##   2. Any modifications must be clearly marked as such.                ##
 ##   3. Original authors' names are not deleted.                         ##
 ##   4. The authors' names are not used to endorse or promote products   ##
 ##      derived from this software without specific prior written        ##
 ##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
 ##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
 ##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
 ##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
 ##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
 ##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
 ##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
 ##  THIS SOFTWARE.                                                       ##
 ##                                                                       ##
 ###########################################################################
 ##                                                                       ##
 ##                 Author: Richard Caley (rjc@cstr.ed.ac.uk)             ##
 ##                   Date: June 1997                                     ##
 ## --------------------------------------------------------------------- ##
 ## Makefile for bin directory.                                           ##
 ##                                                                       ##
 ## If we are staticly linked, we link to things in main, otherwise we    ##
 ## write scripts which set LD_LIBRARY_PATH.                              ##
 ##                                                                       ##
 ## Things in scripts are preprocessed.                                   ##
 ##                                                                       ##
 ###########################################################################

TOP=..
DIRNAME=bin
FILES= Makefile VCLocalRules

ALL = .remove_links .link_main .process_scripts text2wave

include $(TOP)/config/common_make_rules
include $(EST)/config/rules/bin_process.mak

text2wave:
	@ cp -p $(TOP)/examples/text2wave .

=== doc/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=doc

DOCNAME=festival
DSSL_SANE_DB=$(EST)/doc/sane_to_docbook.dsl
DSSSL_HTML=$(EST)/doc/cstr.dssl
DSSSL=$(DSSSL_HTML)

# Temporarilly we explicitly list the programs which have been documented

MAIN_TO_DOCUMENT=

EXAMPLE_TO_DOCUMENT=

FESTIVAL=$(TOP)/bin/festival --libdir $(TOP)/lib

# Include some of EST documentation.
DOCXX_EXTRA_FILES = 

DOCXXIMAGES = edcrest.gif cstr.gif \
	est.jpg est_small.jpg \
	festival.jpg festival_small.jpg festival_tiny.jpg
DOCXXFILES=  classHeader.inc hierHeader.inc indexHeader.inc \
	     banner.inc $(DOCXXIMAGES)

MANPAGES = festival.head festival.tail \
           festival_client.head festival_client.tail

#SGMLFILES = festival.sgml \
#	introductory.sgml basics.sgml core.sgml advanced.sgml programming.sgml

FILES=Makefile $(MANPAGES) festival.texi $(SGMLFILES) refcard.tex  $(DOCXXFILES)
LOCAL_CLEAN = *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr

ALL = festival.1 festival_client.1

include $(TOP)/config/common_make_rules
include $(EST)/config/rules/doc.mak

%.1 : %.head %.options %.tail 
	cat $^ >$@
%.options : $(TOP)/src/main/%
	$(TOP)/bin/$* -man_options >$@
%.options : $(TOP)/src/main/%.exe
	$(TOP)/bin/$* -man_options >$@

festival.info: festival.texi festfunc.texi festvars.texi festfeat.texi
	@ if [ ! -d info ] ; \
          then mkdir -p info ; fi
	@ sed 's/@url{/@file{/g' <festival.texi >info/festival.texi
	@ cp festfunc.texi info/festfunc.texi
	@ cp festvars.texi info/festvars.texi
	@ cp festfeat.texi info/festfeat.texi
	( cd info; makeinfo festival.texi )
	@ rm info/*.texi
# texi2html is available from http://wwwcn.cern.ch/dci/texi2html/
festival.html: festival.texi festfunc.texi festvars.texi
	@ if [ ! -d html ] ; \
          then mkdir -p html ; fi
	(cd html; texi2html -number -split_chapter ../festival.texi)
# give the html files background color of white
	@ for i in html/*.html ; \
	  do \
	    sed 's/<BODY>/<BODY bgcolor="#ffffff">/' $$i >ttt.html; \
	    mv ttt.html $$i ; \
	  done
festival.ps: festival.dvi
	dvips -f festival.dvi >festival.ps
festival.dvi: festival.texi festfunc.texi festvars.texi
	tex festival.texi
	texindex festival.cp
	tex festival.texi
doc:	festival.ps festival.html festival.info

festfunc.texi festvars.texi festfeat.texi: $(TOP)/src/main/festival
	echo "(load_library \"festdoc.scm\") (make-doc)" | $(FESTIVAL)

refcard.dvi:	refcard.tex
	latex refcard.tex
refcard.ps:	refcard.dvi
	dvips -f -t landscape refcard.dvi >refcard.ps

=== examples/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=examples
BUILD_DIRS=
ALL_DIRS=$(BUILD_DIRS) songs

EXTEXTS = intro.text spintro.text benchmark.text
EXAMPLES = webdemo.scm ex1.email ex1.ogi example.sable example2.sable \
           tobi.stml example.th example.apml
SCRIPTS = saytime.sh text2pos.sh latest.sh \
           scfg_parse_text.sh text2wave.sh make_utts.sh dumpfeats.sh \
           durmeanstd.sh powmeanstd.sh run-festival-script.sh text2utt.sh
SHELL_SCRIPTS = benchmark festival_client.pl
SCMS = toksearch.scm th-mode.scm addr-mode.scm
SAMPLEC = festival_client.c festival_client.h
OTHERS = apml.dtd
FILES=Makefile $(EXAMPLES) $(EXTEXTS) $(SCRIPTS) $(SHELL_SCRIPTS) $(SCMS) $(SAMPLEC) $(OTHERS) speech_pm_1.0.tar

ALL = $(SCRIPTS:.sh=)
LOCAL_CLEAN = $(SCRIPTS:.sh=)

include $(TOP)/config/common_make_rules

$(ALL) : % : %.sh
	rm -f $@
	@echo "#!/bin/sh" >$@
	@echo "\"true\" ; exec "$(FESTIVAL_HOME)/bin/festival --script '$$0 $$*' >>$@
	cat $< >>$@
	chmod +x $@

festival_client: festival_client.o festival_client.h
	$(LINK_COMMAND) -o festival_client festival_client.o $(LIBS)

festival_client.o: festival_client.c festival_client.h
	$(CC_COMMAND) -DSTANDALONE festival_client.c -o festival_client.o

# Do this manually to make sure Festival.tar (perl module) is up to date.

speech_pm_1.0.tar: $(wildcard speech_pm_1.0/*) $(wildcard  speech_pm_1.0/*/*) $(wildcard  speech_pm_1.0/*/*/*)
	-chmod +w speech_pm_1.0.tar
	tar cvf speech_pm_1.0.tar `cat speech_pm_1.0/MANIFEST|sed -e 's/^/speech_pm_1.0\//'`

=== testsuite/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=testsuite
ALL_DIRS = data correct

TEST_SCRIPTS = fest text voice modes parse scherr
TEST_MODULES = # not sure we'll need these
SCRIPTS = $(TEST_SCRIPTS:%=%.sh) testinstall.sh
FILES = Makefile \
	$(SCRIPTS)

ALL = 

include $(TOP)/config/test_make_rules

test: tmpdir testinstall

testinstall:
	@ sh testinstall.sh $(TOP) && $(MAKE) --no-print-directory tests

tmpdir:
	@ rm -rf tmp
	@ mkdir tmp

tests: test_modules test_scripts

=== src/lib/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=src/lib
ALL_LIBS = 
FILES=Makefile
LOCAL_CLEAN = libFestival.a

include $(TOP)/config/common_make_rules

=== src/main/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=src/main

SRCS = festival_main.cc audsp.cc festival_client.cc
OBJS = $(SRCS:.cc=.o)
FILES=Makefile $(SRCS)
LOCAL_CLEAN = $(ETCDIR)/audsp $(ETCDIR)/.made

ETCDIR=$(TOP)/lib/etc/$(SYSTEM_TYPE)

ALL_EXECS = festival  festival_client

ALL = $(ALL_EXECS) make_audiosp

include $(TOP)/config/common_make_rules
include $(EST)/config/rules/bin_process.mak

ETCDIR=$(TOP)/lib/etc/$(SYSTEM_TYPE)

ifeq (SIOD_PYTHON, $(findstring SIOD_PYTHON, $(INCLUDE_MODULES)))
	LIBS += $(shell python3-config --ldflags) -ldl -lutil -lm
endif

festival: festival_main.o $(LIBDEPS)
	$(LINK_COMMAND) -o festival festival_main.o $(LIBS)

festival_client: festival_client.o $(REQUIRED_LIBDEPS)
	$(LINK_COMMAND) -o festival_client festival_client.o $(LIBS)

$(ETCDIR)/audsp: $(ETCDIR)/.made audsp.o $(LIBDEPS)
	$(LINK_COMMAND) -o $(ETCDIR)/audsp audsp.o $(LIBS)

# Can't just rely on the dir as it gets updated with new files
# check for the data of a file created in etcdir

make_audiosp: $(ETCDIR)/audsp
	@$(DO_NOTHING)

$(ETCDIR)/.made:
	@ if [ ! -d $(ETCDIR) ] ; \
          then mkdir -p $(ETCDIR); fi
	@ if [ ! -f $(ETCDIR)/.made ] ; \
          then touch $(ETCDIR)/.made ; fi

=== src/modules/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##   Automatically constructs init_modules.cc with each modules own      ##
##   initialization routines                                             ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=src/modules
CPPSRCS = 
BASE_DIRS = Lexicon base Duration Intonation Text \
            UniSyn donovan parser UniSyn_diphone 
# these last four are potentially optional

LIB_BUILD_DIRS = $(BASE_DIRS)
BUILD_DIRS = $(LIB_BUILD_DIRS)
OPTIONAL = diphone clunits clustergen java rxp UniSyn_phonology MultiSyn hts_engine

ALL_DIRS = $(BASE_DIRS) $(OPTIONAL)

OBJS = init_modules.o 

LOCAL_CLEAN = init_modules.cc

LOCAL_INCLUDES = -I./Database

FILES = Makefile $(CPPSRCS) VCLocalRules

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib 

include $(TOP)/config/common_make_rules

# Builds a call to the int function in each sub-directory
#
#init_modules.cc: utilities Makefile $(TOP)/config/modincludes.inc
#	@ echo "Making init_modules.cc"
#	LD_LIBRARY_PATH='$(EST)/lib:$(LD_LIBRARY_PATH):$(SYSTEM_LD_LIBRARY_PATH)' utilities/find_inits $(LIB_BUILD_DIRS) $(EXTRA_LIB_BUILD_DIRS) > init_modules.cc


init_modules.cc: Makefile $(TOP)/config/modincludes.inc
	@ echo "Making init_modules.cc"
	@ rm -f init_modules.cc
	@ echo >init_modules.cc
	@ echo "/* This file is autogenerated by src/modules/Makefile */" >>init_modules.cc
	@ echo >>init_modules.cc
	@ echo "#include \"EST_unix.h\"" >>init_modules.cc
	@ echo "#include \"stdio.h\"" >>init_modules.cc
	@ echo "#include \"festival.h\"" >>init_modules.cc
	@ echo >>init_modules.cc
	@ for i in $(LIB_BUILD_DIRS) $(EXTRA_LIB_BUILD_DIRS) ; \
	do \
	if [ ! -f "$$i/NoInit" ] ; then \
	   echo "void festival_"$$i"_init(void);" ; \
	fi \
	done >> init_modules.cc
	@ echo >>init_modules.cc
	@ echo "void festival_init_modules(void)" >>init_modules.cc
	@ echo "{" >>init_modules.cc
	@ for i in $(LIB_BUILD_DIRS) $(EXTRA_LIB_BUILD_DIRS) ; \
	do \
	if [ ! -f "$$i/NoInit" ] ; then \
	   echo "   festival_"$$i"_init();" ; \
	fi \
	done >> init_modules.cc
	@ echo "}" >>init_modules.cc
	@ echo >>init_modules.cc

=== src/scripts/Makefile ===
 ###########################################################################
 ##                                                                       ##
 ##                Centre for Speech Technology Research                  ##
 ##                     University of Edinburgh, UK                       ##
 ##                         Copyright (c) 1996                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
 ##  Permission is hereby granted, free of charge, to use and distribute  ##
 ##  this software and its documentation without restriction, including   ##
 ##  without limitation the rights to use, copy, modify, merge, publish,  ##
 ##  distribute, sublicense, and/or sell copies of this work, and to      ##
 ##  permit persons to whom this work is furnished to do so, subject to   ##
 ##  the following conditions:                                            ##
 ##   1. The code must retain the above copyright notice, this list of    ##
 ##      conditions and the following disclaimer.                         ##
 ##   2. Any modifications must be clearly marked as such.                ##
 ##   3. Original authors' names are not deleted.                         ##
 ##   4. The authors' names are not used to endorse or promote products   ##
 ##      derived from this software without specific prior written        ##
 ##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
 ##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
 ##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
 ##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
 ##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
 ##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
 ##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
 ##  THIS SOFTWARE.                                                       ##
 ##                                                                       ##
 ###########################################################################
 ##                                                                       ##
 ##                    Makfile for script directory                       ##
 ## --------------------------------------------------------------------- ##
 ##                 Author: Richard Caley (rjc@cstr.ed.ac.uk)             ##
 ##                                                                       ##
 ###########################################################################

TOP=../..
DIRNAME=src/scripts
SCRIPTS= festival_server.sh festival_server_control.sh default_voices.sh
EXTRA_SCRIPTS =  jsapi_example.sh festival_client_java.sh
FILES = Makefile shared_setup_sh shared_setup_prl shared_script $(SCRIPTS) $(EXTRA_SCRIPTS)
INSTALL = 
ALL = $(SCRIPTS)

include $(TOP)/config/common_make_rules
include $(EST)/config/rules/bin_process.mak

=== testsuite/correct/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1997                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                      Correct answers to tests                         ##
###########################################################################
TOP=../..
DIRNAME=testsuite/correct

OUTFILES = fest_script.out text_script.out voice_script.out modes_script.out \
           parse_script.out scherr_script.out
FILES= Makefile $(OUTFILES)

include $(TOP)/config/common_make_rules

list:
	echo $(FILES)

=== src/arch/festival/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                                                                         #
# Makefile for festival directory                                         #
#                                                                         #
# Contains basic interface functions, initialization, and functions for   #
# using various models                                                    #
#                                                                         #
###########################################################################
TOP=../../..
DIRNAME=src/arch/festival
H = festivalP.h
SRCS =  festival.cc  Phone.cc utterance.cc features.cc \
       wave.cc wagon_interp.cc linreg.cc \
       audspio.cc server.cc client.cc web.cc tcl.cc \
       wfst.cc ngram.cc viterbi.cc \
       ModuleDescription.cc $(TSRCS)

OBJS = $(SRCS:.cc=.o)

FILES = Makefile $(SRCS) $(H)

#LOCAL_TEMPLATES = -pti.

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

LOCAL_DEFINES += $(FESTIVAL_DEFINES)
LOCAL_INCLUDES += $(FESTIVAL_INCLUDES)

festival.o: festival.cc
	$(CXX_COMMAND_TEMPLATES) -DFTNAME='$(PROJECT_NAME)' -DFTLIBDIRC='$(FTLIBDIR)' -DFTVERSION='$(PROJECT_VERSION)' -DFTSTATE='$(PROJECT_STATE)'  -DFTDATE='$(PROJECT_DATE)' -DFTOSTYPE=\"$(SYSTEM_TYPE)\" festival.cc

=== src/modules/Duration/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
# Contains implementation of various duration prediction                  #
# modules                                                                 #
#                                                                         #
###########################################################################
TOP=../../..
DIRNAME=src/modules/Duration
H = durationP.h
SRCS = dur_aux.cc duration.cc Klatt.cc
OBJS = $(SRCS:.cc=.o)

FILES = Makefile $(SRCS) $(H)

LOCAL_INCLUDES = -I../include

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== src/modules/Intonation/Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                       Copyright (c) 1996,1997                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
#                                                                         #
#  Contains implementations of various intonation theories                #
#                                                                         #
###########################################################################
TOP=../../..
DIRNAME=src/modules/Intonation
H = 
SRCS = int_aux.cc duffint.cc simple.cc gen_int.cc int_tree.cc
OBJS = $(SRCS:.cc=.o)

FILES = Makefile $(SRCS) $(H)

LOCAL_INCLUDES = -I../include

INLIB = $(TOP)/src/lib/libFestival.a

ALL = .buildlib

include $(TOP)/config/common_make_rules

=== debian/changelog ===
festival (1:2.5.0-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev and libestools-dev.
    + festival: Drop versioned constraint on adduser and lsb-base in Depends.
    + festival-dev: Drop versioned constraint on libestools-dev in Depends.
    + festival-doc: Drop versioned constraint on doc-base in Depends.

  [ Samuel Thibault ]
  * rules: Set cross-build CC and CXX.
  * rules: Pass CC and CXX to $(MAKE).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Oct 2021 23:12:59 +0100

festival (1:2.5.0-7) unstable; urgency=medium

  * rules: Also force timezone to fix reproducibility.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Aug 2021 19:52:07 +0200

festival (1:2.5.0-6) unstable; urgency=medium

  * rules: Drop ddeb-migration rules, now useless
  * control: Build-depend on faketime.
  * rules: Use faketime to fix date in festival.ps

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Aug 2021 16:59:25 +0200

festival (1:2.5.0-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.5.0 (no changes).
  * watch: Generalize pattern.
  * debian/festival.init: Set executable permissions.
  * debian/README.Debian: Simplify documentation for running the daemon.
  * Bump debhelper compat from 11 to 12.
  * control: Update alioth list domain.
  * festival.lintian-overrides: Silence lintian warning.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.4.3-23, 1.4.3-10, 1.4.3-9,
    1.4.3-8, 1.4.3-7, 1.4.3-6, 1.4.3-5, 1.4.3-4, 1.4.3-3, 1.4.3-2, 1.4.3-
    1, 1.4.3-0.2, 1.4.3-0.1, 1.4.2-2.3, 1.4.2-2.2.
  * Update standards version to 4.4.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 15:03:03 +0100

festival (1:2.5.0-4) unstable; urgency=medium

  * debian/tests/control: Add missing festvox-kallpc16k dependency to fix test.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Jul 2019 09:00:22 +0200

festival (1:2.5.0-3) unstable; urgency=medium

  [ Sergio Oller ]
  * Set FORCE_SOURCE_DATE for a Reproducible build.

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * debian/tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Feb 2019 20:37:32 +0100

festival (1:2.5.0-2) unstable; urgency=medium

  * Fix text2wave resampling by resamping *before* counting the number of
    samples. (Closes: Bug#890018).
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Apr 2018 18:09:00 +0200

festival (1:2.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Build-Depends on libestools-dev to prevent FTBFS
  * Enable hardening
  * Multiple minor improvements to the packaging

 -- Paul Gevers <elbrus@debian.org>  Thu, 18 Jan 2018 22:02:29 +0100

festival (1:2.4~release-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * Set maintainer to TTS team to make sure it is in our radar.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Drop libaudiofile-dev build-dep, now unused. (Closes: 857669)
  * festival.postinst: Pass --home /nonexistent to adduser.

  [ Sergio Oller ]
  * language.get_voices allows the use of language aliases. Closes LP: #1650237.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Nov 2017 19:38:08 +0100

festival (1:2.4~release-3) unstable; urgency=medium

  * rules: Simplify strip rule.
  * compat: Bump to 9.
  * rules: Clear.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.8 (no change).
  * control: Bump libestools-dev dependency version to fix build with gcc-6.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:32:24 +0200

=== debian/control ===
Source: festival
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders:
 Jean-Philippe MENGUAL <texou@accelibreinfo.eu>,
 Kumar Appaiah <akumar@debian.org>,
 Jaldhar H. Vyas <jaldhar@debian.org>,
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12), faketime,
               libestools-dev,
               libncurses5-dev,
               texinfo,
               texlive-latex-base,
               quilt
Standards-Version: 4.5.1
Homepage: https://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: https://salsa.debian.org/tts-team/festival.git
Vcs-Browser: https://salsa.debian.org/tts-team/festival
Rules-Requires-Root: no

Package: festival
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         adduser,
         alsa-utils [linux-any],
         lsb-base
Recommends: festvox-kallpc16k | festival-voice
Suggests: pidgin-festival, festival-freebsoft-utils
Description: General multi-lingual speech synthesis system
 Festival offers a full text to speech system with various APIs, as well an
 environment for development and research of speech synthesis techniques. It
 includes a Scheme-based command interpreter.
 .
 Besides research into speech synthesis, festival is useful as a stand-alone
 speech synthesis program. It is capable of producing clearly understandable
 speech from text.

Package: festival-dev
Architecture: any
Depends: ${misc:Depends}, libestools-dev
Suggests: festival-doc
Section: libdevel
Description: Development kit for the Festival speech synthesis system
 This package contains the static library and headers that can be used to
 develop programs that use Festival. Documentation is now contained in the
 separate festival-doc package.

Package: festival-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Section: doc
Description: Documentation for Festival
 This package contains the HTML and Postscript versions of the
 documentation for Festival.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(SOURCE_DATE_EPOCH),)
# Force fixed %%CreationDate in ps files created by dvips (for a Reproducible Build)
export FORCE_SOURCE_DATE=1

# Also force "TeX output" string in dvi file, thus %DVIPSSource in the ps file.
FAKETIME = TZ=UTC faketime @$(SOURCE_DATE_EPOCH)
endif

ifeq ($(origin CC),default)
CC := $(DEB_HOST_GNU_TYPE)-gcc
CXX := $(DEB_HOST_GNU_TYPE)-g++
endif

override_dh_auto_configure:
#Avoid conflicting with upstreams build system

override_dh_auto_test:
#Upstream states test is only for their local development not a functional test

override_dh_auto_build:
	$(MAKE) CC='$(CC)' CXX='$(CXX)'
	cd doc && $(FAKETIME) $(MAKE) festival.info festival.html festival.ps

override_dh_auto_clean:
	-QUILT_PATCHES=debian/patches quilt push 01-config_config.diff
	[ ! -f Makefile ] || $(MAKE) clean

override_dh_clean:
	find . -name make.depend -print0 | xargs -0r $(RM)
	find . -name make.include -print0 | xargs -0r $(RM)
	find bin/ \( -name SCCS -o -name RCS -o -name CVS \) -prune \
	     -o -type f ! -name Makefile -print0 | xargs -0r $(RM)
	dh_clean

override_dh_installinit:
#Init script has BAD security Debian switches it off by default

override_dh_installchangelogs:
	dh_installchangelogs -a -k NEWS
	dh_installchangelogs -pfestival-doc -a -k NEWS

override_dh_installexamples:
	dh_installexamples -pfestival examples/* -Xexamples/text2utt -Xexamples/text2wave debian/festival.init debian/festival.scm

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release//" \
http://www.festvox.org/packed/festival/([\d.]*)/festival-(.*)@ARCHIVE_EXT@
